package org.xyzh.common.dto.user;

import org.xyzh.common.dto.BaseDTO;

/**
 * @description    TbSysUserInfo.java文件描述 用户信息
 * @filename    TbSysUserInfo.java
 * @author    yslg
 * @copyright xyzh
 * @since 2025-09-11
 */
public class TbSysUserInfo extends BaseDTO {

    private static final long serialVersionUID = 1L;

    /**
     * @description    用户ID
     * @author    yslg
     * @since 2025-09-11
     */
    private String userID;

    /**
     * @description    头像
     * @author    yslg
     * @since 2025-09-11
     */
    private String avatar;

    /**
     * @description    性别(0-未知,1-女,2-男)
     * @author    yslg
     * @since 2025-09-11
     */
    private Integer gender;

    /**
     * @description    姓
     * @author    yslg
     * @since 2025-09-11
     */
    private String familyName;

    /**
     * @description    名
     * @author    yslg
     * @since 2025-09-11
     */
    private String givenName;

    /**
     * @description    全名
     * @author    yslg
     * @since 2025-09-11
     */
    private String fullName;

    /**
     * @description    等级
     * @author    yslg
     * @since 2025-10-18
     */
    private Integer level;

    /**
     * @description    身份证号
     * @author    yslg
     * @since 2025-09-11
     */
    private String idCard;

    /**
     * @description    地址
     * @author    yslg
     * @since 2025-09-11
     */
    private String address;

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public String getFamilyName() {
        return familyName;
    }

    public void setFamilyName(String familyName) {
        this.familyName = familyName;
    }

    public String getGivenName() {
        return givenName;
    }

    public void setGivenName(String givenName) {
        this.givenName = givenName;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }


    @Override
    public String toString() {
        return "TbSysUserInfo{" +
                "id=" + getID() +
                ", userID='" + userID + '\'' +
                ", avatar='" + avatar + '\'' +
                ", gender=" + gender +
                ", familyName='" + familyName + '\'' +
                ", givenName='" + givenName + '\'' +
                ", fullName='" + fullName + '\'' +
                ", level=" + level +
                ", idCard='" + idCard + '\'' +
                ", address='" + address + '\'' +
                ", createTime=" + getCreateTime() +
                ", updateTime=" + getUpdateTime() +
                ", deleteTime=" + getDeleteTime() +
                ", deleted=" + getDeleted() +
                '}';
    }
}
